# ---------------------------------------------------------------------------
# JOnAS: Java(TM) Open Application Server
# Copyright (C) 2007-2009 Bull S.A.S.
# Contact: jonas-team@ow2.org
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
# USA
# ---------------------------------------------------------------------------
# $Id: config.properties 5564 2009-10-21 16:49:03Z jlegrand $
# ---------------------------------------------------------------------------

# Sets the initial start level of the framework upon startup.
org.osgi.framework.startlevel.beginning=3

felix.log.level=1

# Invalid fragment bundles throw an 'exception' by default, but
# uncomment the follow line to have them log a 'warning' instead.
felix.fragment.validation=warning

# All theses packages are defined twice because xxxx.* do not match the xxxx package itself.
org.osgi.framework.bootdelegation=com.sun.corba,\
                                  com.sun.corba.*,\
                                  com.ibm.CORBA,\
                                  com.ibm.CORBA.*,\
                                  com.sun.org.apache.xalan.internal,\
                                  com.sun.org.apache.xalan.internal.*,\
                                  com.sun.org.apache.xerces.internal,\
                                  com.sun.org.apache.xerces.internal.*,\
                                  com.sun.org.apache.xml.internal,\
                                  com.sun.org.apache.xml.internal.*,\
                                  com.sun.org.apache.xpath.internal,\
                                  com.sun.org.apache.xpath.internal.*

# Packages exported by the underlying JVM (and System bundle)
org.osgi.framework.system.packages org.osgi.framework; version=1.4.0, \
                                   org.osgi.service.packageadmin; version=1.2.0, \
                                   org.osgi.service.startlevel; version=1.1.0, \
                                   org.osgi.service.url; version=1.0.0, \
                                   org.osgi.util.tracker; version=1.3.3, \
                                   javax.accessibility; \
                                   javax.activity; \
                                   javax.imageio; \
                                   javax.crypto;\
                                   javax.crypto.spec;\
                                   javax.crypto.interfaces;\
                                   javax.imageio.event; \
                                   javax.imageio.metadata; \
                                   javax.imageio.plugins.bmp; \
                                   javax.imageio.plugins.jpeg; \
                                   javax.imageio.spi; \
                                   javax.imageio.stream; \
                                   javax.management; \
                                   javax.management.loading; \
                                   javax.management.modelmbean; \
                                   javax.management.monitor; \
                                   javax.management.openmbean; \
                                   javax.management.relation; \
                                   javax.management.remote; \
                                   javax.management.remote.rmi; \
                                   javax.management.timer; \
                                   javax.naming; \
                                   javax.naming.directory; \
                                   javax.naming.event; \
                                   javax.naming.ldap; \
                                   javax.naming.spi; \
                                   javax.net; \
                                   javax.net.ssl; \
                                   javax.print; \
                                   javax.print.attribute; \
                                   javax.print.attribute.standard; \
                                   javax.print.event; \
                                   javax.rmi; \
                                   javax.rmi.CORBA; \
                                   javax.rmi.ssl; \
                                   javax.security.auth; \
                                   javax.security.auth.callback; \
                                   javax.security.auth.kerberos; \
                                   javax.security.auth.login; \
                                   javax.security.auth.spi; \
                                   javax.security.auth.x500; \
                                   javax.security.cert; \
                                   javax.security.sasl; \
                                   javax.sound.midi; \
                                   javax.sound.midi.spi; \
                                   javax.sound.sampled; \
                                   javax.sound.sampled.spi; \
                                   javax.sql; \
                                   javax.sql.rowset; \
                                   javax.sql.rowset.serial; \
                                   javax.sql.rowset.spi; \
                                   javax.swing; \
                                   javax.swing.border; \
                                   javax.swing.colorchooser; \
                                   javax.swing.event; \
                                   javax.swing.filechooser; \
                                   javax.swing.plaf; \
                                   javax.swing.plaf.basic; \
                                   javax.swing.plaf.metal; \
                                   javax.swing.plaf.multi; \
                                   javax.swing.plaf.synth; \
                                   javax.swing.table; \
                                   javax.swing.text; \
                                   javax.swing.text.html; \
                                   javax.swing.text.html.parser; \
                                   javax.swing.text.rtf; \
                                   javax.swing.tree; \
                                   javax.swing.undo; \
                                   javax.xml; \
                                   javax.xml.datatype; \
                                   javax.xml.namespace; \
                                   javax.xml.parsers; \
                                   javax.xml.transform; \
                                   javax.xml.transform.dom; \
                                   javax.xml.transform.sax; \
                                   javax.xml.transform.stream; \
                                   javax.xml.validation; \
                                   javax.xml.xpath; \
                                   org.ietf.jgss; \
                                   org.apache.xpath; \
                                   org.apache.xpath.compiler; \
                                   org.apache.xpath.functions; \
                                   org.apache.xpath.objects; \
                                   org.apache.xml.utils; \
                                   org.jacorb.orb.etf; \
                                   org.jacorb.orb.iiop; \
                                   org.jacorb.orb.portableInterceptor; \
                                   org.jacorb.orb.rmi; \
                                   org.jacorb.poa; \
                                   org.omg.CORBA; \
                                   org.omg.CORBA_2_3; \
                                   org.omg.CORBA_2_3.portable; \
                                   org.omg.CORBA.DynAnyPackage; \
                                   org.omg.CORBA.ORBPackage; \
                                   org.omg.CORBA.portable; \
                                   org.omg.CORBA.TypeCodePackage; \
                                   org.omg.CosNaming; \
                                   org.omg.CosNaming.NamingContextExtPackage; \
                                   org.omg.CosNaming.NamingContextPackage; \
                                   org.omg.CosTransactions; \
                                   org.omg.CSI; \
                                   org.omg.CSIIOP; \
                                   org.omg.Dynamic; \
                                   org.omg.DynamicAny; \
                                   org.omg.DynamicAny.DynAnyFactoryPackage; \
                                   org.omg.DynamicAny.DynAnyPackage; \
                                   org.omg.ETF; \
                                   org.omg.GSSUP; \
                                   org.omg.IOP; \
                                   org.omg.IOP.CodecFactoryPackage; \
                                   org.omg.IOP.CodecPackage; \
                                   org.omg.Messaging; \
                                   org.omg.PortableInterceptor; \
                                   org.omg.PortableInterceptor.ORBInitInfoPackage; \
                                   org.omg.PortableServer; \
                                   org.omg.PortableServer.CurrentPackage; \
                                   org.omg.PortableServer.POAManagerPackage; \
                                   org.omg.PortableServer.POAPackage; \
                                   org.omg.PortableServer.portable; \
                                   org.omg.PortableServer.ServantLocatorPackage; \
                                   org.omg.SendingContext; \
                                   org.omg.SSLIOP; \
                                   org.omg.stub.java.rmi; \
                                   org.omg.stub.javax.management.remote.rmi; \
                                   org.w3c.dom; \
                                   org.w3c.dom.bootstrap; \
                                   org.w3c.dom.css; \
                                   org.w3c.dom.events; \
                                   org.w3c.dom.html; \
                                   org.w3c.dom.ls; \
                                   org.w3c.dom.ranges; \
                                   org.w3c.dom.stylesheets; \
                                   org.w3c.dom.traversal; \
                                   org.w3c.dom.views; \
                                   org.w3c.dom.xpath; \
                                   org.xml.sax; \
                                   org.xml.sax.ext; \
                                   org.xml.sax.helpers; \
                                   sun.rmi.registry; \
                                   sun.misc; \
                                   sun.rmi.server; \
                                   sun.rmi.transport; \
                                   sun.security.util; \
                                   sun.security.provider; \
                                   sun.reflect;\
                                   sun.util.calendar; \
                                   sun.rmi.rmic; \
                                   sun.tools.javac; \
                                   version="1.5.0"

# FIXME: Should be removed:
# * javax.transaction.*
# * org.omg.* (CORBA classes, we have a bundle with all of them)
# * sun.rmi.* (Sun specific, should be optional)
